!-----------------------------------------------------------------------
!  PSGHCX -- CROSS SECTION OF C+6 + H --> C+5 + H+
!
real(fp) FUNCTION psghcx8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHCX -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,emin,emax,zans,psgchvx8
!============
  real(fp) CCHEV(9)
!
  DATA EMIN/1.0_fp/
  DATA EMAX/7.0e+5_fp/
!
  DATA CCHEV/&
       -7.50165e+01_fp, 4.93597e-1_fp,-4.53799_fp,&
       -1.79837_fp,-3.65368e-1_fp,-6.53312e-1_fp,&
       8.47562e-2_fp, 7.46099e-2_fp, 9.63594e-2_fp/
  !
  ZANS=psgchvx8(1,ZE,EMIN,EMAX,CCHEV)
  psghcx8=ZANS
!
  RETURN
END FUNCTION psghcx8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
